# peer logging

The `peer logging` subcommand allows administrators to dynamically view and
configure the log levels of a peer.

## Syntax

The `peer logging` command has the following subcommands:

  * getlogspec
  * setlogspec

and the following deprecated subcommands, which will be removed
in a future release:

  * getlevel
  * setlevel
  * revertlevels

The different subcommand options (`getlogspec`, `setlogspec`, `getlevel`, `setlevel`,
and `revertlevels`) relate to the different logging operations that are relevant
to a peer.

Each peer logging subcommand is described together with its options in its own
section in this topic.
